﻿using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.Data;
using System.Drawing;
using System.IO;
using System.Linq;
using System.Net.Sockets;
using System.Text;
using System.Windows.Forms;

namespace SMSGateCilient
{
    public partial class MainForm : Form
    {
        public MainForm()
        {
            InitializeComponent();
        }

        private void btn_ok_Click(object sender, EventArgs e)
        {
            string Phone = tb_phone.Text;
            string Msg = tb_message.Text;

            if (Phone != "" && Msg != "")
            {
                if (SendSMS(Phone, Msg))
                {
                    MessageBox.Show("OK");
                }
                else
                {
                    MessageBox.Show("Došlo k chybe");
                }
            }
            else
            {
                MessageBox.Show("Nie sú vyplnené všetky polia");
            }
        }


        public bool SendSMS(string PhoneNum, string Message)
        {
            bool Ret = false;
            TcpClient Client = null;
            NetworkStream NetStream = null;

            try
            {
                string Request = String.Format("sms {0} {1}\n", PhoneNum, Message);

                Client = new TcpClient("[IP NASEJ BRANY]", [PORT]);
                NetStream = Client.GetStream();
                StreamWriter writer = new StreamWriter(NetStream);
                writer.WriteLine(Request);
                writer.Flush();

                StreamReader reader = new StreamReader(NetStream);
                string Response = reader.ReadLine();
                if (Response.Length > 0)
                    Ret = (Response[0] == '0');
            }
            finally
            {
                if (NetStream != null)
                    NetStream.Close();

                if (Client != null)
                    Client.Close();
            }

            return Ret;
        }


        

    }
}
